petsc-3.12.4 2020-02-04
Report Typos and Errors

# PETSC_HASH_MAP

Instantiate a PETSc hash table map type

### Synopsis

    #include <petsc/private/hashmap.h>
    PETSC_HASH_MAP(HMapT, KeyType, ValType, HashFunc, EqualFunc, DefaultValue)

### Input Parameters

| HMapT | - The hash table map type name suffix
| KeyType | - The type of keys
| ValType | - The type of values
| HashFunc | - Routine or function-like macro computing hash values from keys
| EqualFunc | - Routine or function-like macro computing whether two values are equal
| DefaultValue | - Default value to use for queries in case of missing keys

### See Also

PetscHMapT, PetscHMapTCreate()

### Level

developer

### Location

include/petsc/private/hashmap.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages